#include <stdio.h>
#include <stdlib.h>

int main()
{
    int a,b,x,y,p=0,l=0;
    scanf("%d%d", &a, &b);
    scanf("%d%d", &x, &y);

    if(x<a)
    {
        p=1;
    }
    if(y<b)
    {
        l=1;
    }

    if(p==0 && l==0)
    {
        printf("nijedan");
    }
    else if(p==1 && l==1)
    {
        printf("?");
    }
    else if(p==1 && l==0)
    {
        printf("prvi");
    }
    else if(p==0 && l==1)
    {
        printf("drugi");
    }
    return 0;
}